Skip to main content
POST
Create an Order for a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string
required

Company ID

Body

application/json

Notes:

  • phase has been deprecated in favor of phases where "primary" == true
  • Only one associated Phase can be the primary
load_at
string<date-time>
required

Load Start Date & Time.

truck_count
integer
required
Required range: 1 <= x <= 200
truck_delay
integer
required
account_id
string
required
service_id
string<uuid>
required
waypoints
Waypoint-Create · object[]
required
notes
string | null
internal_notes
string | null
quantity
number | null
loads_per_truck
integer

When a value is omitted, the system will set loads_per_truck to 1 when the job_unit_of_measure is Load else it is set to job_quantity.

Required range: 1 <= x <= 25
unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

load_unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

equipment_id
string<uuid> | null
deprecated
material_id
string<uuid> | null
project_id
string<uuid> | null

If project_id is provided, the Order's associated Account will be the same as the Project's Account

customer_rate_id
string<uuid> | null
vendor_rate_id
string<uuid> | null
driver_id
string<uuid>

The driver that the created jobs will be assigned to. If this is defined the value for vendor_id wil be ignored.

vendor_id
string<uuid>

The vendor that the created jobs will be assigned to.

company_id
string<uuid>

The Company who owns this Order.

phase
Phase-Create · object
sales_contact
Contact-Create · object
foreman_contact
Contact-Create · object
supervisor_contact
Contact-Create · object
foreman_ids
string<uuid>[]
collaborator_ids
string<uuid>[]
salesperson_ids
string<uuid>[]
collaborator_contact
Contact-Create · object
equipment_type_id
string<uuid>
department_id
string<uuid> | null
name
string | null
po_job_number
string | null
zone
string | null
external_id
string | null
service_class_id
string<uuid> | null
hauler_rate_type
enum<string> | null
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

job_notes
string | null
job_time
integer | null
units_per_hour
integer | null
job_quantity
number | null
dispatch_number
DispatchNumber-Create · object
customer_rate_value
number | null
customer_rate_type
enum<string> | null
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

vendor_rate_value
number | null
vendor_rate_type
enum<string> | null
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

job_start_at
string<date-time> | null
trucks_per_delay
integer
Required range: x >= 1
driver_rate_id
string<uuid> | null
driver_rate_value
number | null
driver_rate_type
enum<string> | null
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

requester_id
string<uuid> | null
phases
Phase-Create · object[]
state
enum<string>
default:created

Initial state for the Order.

Available options:
created,
pending_request,
hold
Example:

"created"

equipment_type_gross_capacity
number | null
pickup_onsite_minutes
integer | null
dropoff_onsite_minutes
integer | null
pickup_to_dropoff_time_minutes
integer | null
pickup_to_dropoff_distance_meters
number | null
expected_total_loads
integer | null
cycle_time_minutes
integer | null
requested_quantity_type
enum<string> | null
Available options:
truck,
load,
unit
recurring_loads
boolean
material_rate_site_id
string<uuid> | null
material_rate_unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

material_rate_sell_price
number | null
material_rate_buy_price
number | null
material_rate_itemized
boolean
geofence_delay_seconds
integer | null
job_unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

equipment_type_gross_capacity_unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

charge_to_account
string | null
chase_missing_tickets
boolean

Enable ticket chasing for jobs in this order

default_digital_ticket_view
boolean
default:false

Use the default digital ticket view for jobs in this order

tax_rate
number | null

Tax rate percentage (up to 4 decimal places)

tax_freight
boolean
default:false

Whether freight line items and FSC are taxable

tax_material
boolean
default:false

Whether material line items are taxable

tax_add_ons
boolean
default:false

Whether add-on charges are taxable (dual-confirm with add_on.taxable)

Response

Created

data
Order-Read · object
required

Notes:

  • phase has been deprecated in favor of phases where "primary" == true